Subject: Re: [PATCH v8 15/44] commit.c: use ref transactions for updates

From: Jonathan Nieder <[email-masked]>
Date: Thu, 15 May 2014 14:21:30 -0700

Ronnie Sahlberg wrote:

> Change commit.c to use ref transactions for all ref updates.
> Make sure we pass a NULL pointer to ref_transaction_update if have_old
> is false.

Once ref_transaction_begin() and ref_transaction_update() set err,
this will always have a reasonable message to print in die().

Reviewed-by: Jonathan Nieder <[email-masked]>